Sign in

I can't access https://spike.cc/

Problem:

  • When you access https://spike.cc/, there is an error message reporting "Internet Explorer cannot display the webpage"
  • The SPIKE checkout and the SPIKE button doesn't display properly 

Cause:

  • During mid October 2014, a vulnerability in SSL3.0 was discovered, now called the POODLE vulnerability. SPIKE has since changed its settings to reject connections with SSL3.0.
  • http://www.kb.cert.org/vuls/id/577193

Solution:

  • If you are using Windows Internet Explorer, please download the program that disables SSL3.0 
  • https://support.microsoft.com/kb/3009008/en
  • For other browsers, please enable other secure connections such as "TLS 1.0", "TLS 1.1", or "TLS 1.2" on your browser settings
Have more questions? Submit a request

Comments

Powered by Zendesk